Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Client

Name

### available()

Examples

    import processing.net.*;
    Client myClient;
    int dataIn;

    void setup() {
      size(200, 200);
      // Connect to the local machine at port 5204.
      // This example will not run if you haven't
      // previously started a server on this port
      myClient = new Client(this, "127.0.0.1", 5204);
    }

    void draw() {
      if (myClient.available() > 0) {
        dataIn = myClient.read();
      }
      background(dataIn);
    }

Description | Returns the number of bytes available. When any client has bytes available from the server, it returns the number of bytes.

Syntax

    client.available()

Parameters

client | any variable of type Client

Returns | int
Usage | Application

Updated on June 14, 2010 12:05:29pm EDT